package com.example.depanntout;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import bdd.InterventionDAO;
import metier.Intervention;

public class CreateInter extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_create_inter);
        initialisation();
        gererCreateInter();
    }
    private void initialisation() {
        Button btnAnnulerCreate = (Button) findViewById(R.id.buttonAnnulerModifCli);
        // Association d'un écouteur d'événement au clic de btQuitter
        btnAnnulerCreate.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                interventionDAO.close();
                finish();
            }
        });
    }

    private InterventionDAO interventionDAO = null;
    Intervention inter = null;

    // Contrôle graphiques
    private EditText etIdclient;
    private EditText etDate;
    private EditText etHeure;
    private EditText etObservation;

    //Valeur saisies
    int idclient;
    String dateHeure;
    String observation;

    private void gererCreateInter() {
        // Reconnaissance des contrôles graphiques de la vue
        etIdclient = (EditText) findViewById(R.id.ptIdclient);
        etDate = (EditText) findViewById(R.id.ptDate);
        etHeure = (EditText) findViewById(R.id.ptHeure);
        etObservation = (EditText) findViewById(R.id.ptModifAdresseMel);
        Button buttonAjouterInter = (Button) findViewById(R.id.buttonAjouter);

        // Accès à la table article
        interventionDAO = new InterventionDAO(this);

        // Gestion de l'événement onClick sur le boutn Ajouter
        buttonAjouterInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View arg0) {
                // Récupération des zones saisies
                idclient = Integer.parseInt(etIdclient.getText().toString().trim());
                dateHeure = etDate.getText().toString() + " a "+ etHeure.getText().toString();
                observation = etObservation.getText().toString();

                // Création de l'article correspondant
                inter = new Intervention(dateHeure, observation, idclient);
                // Insertion de l'article dans la base de données
                long idInterCree = interventionDAO.create(inter);
                // Message à l'écran
                Toast.makeText(getApplicationContext(), "Intervention ajoutée + " +
                        "(no : " + idInterCree + " )", Toast.LENGTH_SHORT).show();
                // Zones de saisies effacées
                etIdclient.requestFocus();
                etIdclient.setText("");
                etDate.setText("");
                etHeure.setText("");
                etObservation.setText("");
            }
        });
    }
}