package com.example.depanntout;

import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import bdd.InterventionDAO;

public class GestionInter extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_gestion_inter);
        initialisation();
        afficherLesInterventions();
    }
    private void initialisation() {
        Button btQuitterInter = (Button) findViewById(R.id.btQuitterInter);
        Button btCreateInter = (Button) findViewById(R.id.btCreerInter);

        btQuitterInter.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                finish();
            }
        });

        btCreateInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                demarrerCreerInter();
            }
        });

    }

    private void demarrerCreerInter(){
        Intent intent = new Intent(GestionInter.this, CreateInter.class);
        startActivity(intent);
    }
    private void demarrerModifInter(){
        Intent intent = new Intent(GestionInter.this, ModifInter.class);
        startActivity(intent);
    }

    public void afficherLesInterventions() {

        Log.d("bdd", "Début de afficherLesInterventions");
        InterventionDAO interventionDAO = new InterventionDAO(this);
        Cursor c = interventionDAO.readLesInterventions();
        Toast.makeText(getApplicationContext(), "Il y a " + c.getCount() + " interventions", Toast.LENGTH_SHORT).show();
        Log.d("bdd", "Nombre d'interventions: " + c.getCount());  // Vérifie combien d'interventions sont dans la base

        String[] from = new String[]{"_id", "dateTime", "observation", "cliId"};
        int[] to = new int[]{R.id.tvIdInter, R.id.tvDateHeureInter, R.id.tvObservation, R.id.tvIdCli};
        SimpleCursorAdapter dataAdapter = new SimpleCursorAdapter(this, R.layout.ligne_inter, c, from, to, 0);

        ListView lvInterventions = (ListView) findViewById(R.id.idLvInterventions);
        lvInterventions.setAdapter(dataAdapter);

        lvInterventions.setOnItemClickListener((parent, view, position, id) -> {
            c.moveToPosition(position);

            int idInter = c.getInt(c.getColumnIndexOrThrow("_id"));
            String dateTime = c.getString(c.getColumnIndexOrThrow("dateTime"));String observation = c.getString(c.getColumnIndexOrThrow("observation"));
            int idCli = c.getInt(c.getColumnIndexOrThrow("cliId"));

            Intent intent = new Intent(this, ModifInter.class);
            intent.putExtra("_id", idInter);
            intent.putExtra("dateTime", dateTime);
            intent.putExtra("observation", observation);
            intent.putExtra("idCli", idCli);
            startActivity(intent);
        });
    }
}