package com.example.depanntout;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import bdd.InterventionDAO;

public class ModifInter extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_modification_inter);

        initialisation();
    }

    private void initialisation() {

        String date = getIntent().getStringExtra("date");
        String heure = getIntent().getStringExtra("heure");
        String observation = getIntent().getStringExtra("observation");
        int idCli = getIntent().getIntExtra("idCli", -1);
        int idInter = getIntent().getIntExtra("_id", -1);

        TextView etDate = findViewById(R.id.ptModifNom);
        TextView etHeure = findViewById(R.id.ptModifAdressePostal);
        TextView etObservation = findViewById(R.id.ptModifAdresseMel);
        TextView etIdCli = findViewById(R.id.ptModifPrenomClient);

        etDate.setText(date);
        etHeure.setText(heure);
        etObservation.setText(observation);
        etIdCli.setText(String.valueOf(idCli));

        Button btQuitterInter = (Button) findViewById(R.id.buttonAnnulerModifCli);
        btQuitterInter.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {
                finish();
            }
        });

        Button btnDeleteInter = findViewById(R.id.buttonSupprimerICli);
        Button btnModifInter = findViewById(R.id.buttonModifCli);

        // Accès à la table intervention
        InterventionDAO interventionDAO = new InterventionDAO(this);

        // Gestion de l'événement onClick sur le boutn Ajouter
        btnDeleteInter.setOnClickListener(v -> {
            boolean isDeleted = interventionDAO.supprimerIntervention(idCli);
            if (isDeleted) {
                Toast.makeText(this, "Client deleted successfully", Toast.LENGTH_SHORT).show();
                finish();
            } else {
                Toast.makeText(this, "Delete failed", Toast.LENGTH_SHORT).show();
            }
        });

        btnModifInter.setOnClickListener(v -> {
            String dateHeureModif = null;
            if (!etDate.getText().toString().isEmpty() || !etHeure.getText().toString().isEmpty() ){
                 dateHeureModif =  etDate.getText().toString() +" à " + etHeure.getText().toString();
            }

            String obsModif = etObservation.getText().toString();
            int idCliModif = Integer.parseInt(etIdCli.getText().toString());

            boolean isUpdated = interventionDAO.modifierIntervention(idInter, idCliModif, dateHeureModif, obsModif);
            if (isUpdated) {
                Toast.makeText(this, "Client mis à jour", Toast.LENGTH_SHORT).show();
                finish();
            } else {
                Toast.makeText(this, "Echec", Toast.LENGTH_SHORT).show();
            }
        });
    }

}
